Loading...
Searching...
No Matches
crit_action_cmd_line.hpp File Reference
CMDLINE

contains routines to convert command-line overwriting criterium to their crit_action counterparts More...

`#include "../my_config.h"`
`#include "libdar.hpp"`

Go to the source code of this file.

## Functions

std::string | crit_action_canonize_string (const std::string &argument)
| canonizes a criterium description string
const libdar::crit_action * | crit_action_create_from_string (libdar::user_interaction &dialog, const std::string &argument, const libdar::infinint &hourshift)
| creates a criterium object as defined by the command line's given string

## Detailed Description

contains routines to convert command-line overwriting criterium to their crit_action counterparts

Definition in file crit_action_cmd_line.hpp.